<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<xsl:param name="appdata"/>

	<xsl:variable name="image-location"><xsl:value-of select="$appdata"/>Sakahagi/</xsl:variable>

	<xsl:template match="message">
		<div class="KopeteMessage" style="padding-bottom:0px;">
				<xsl:attribute name="id">
					<xsl:value-of select="@id" />
				</xsl:attribute>
				<table>
					<xsl:attribute name="style">
						<xsl:text>
							padding:0px; border-spacing:0px; empty-cells:show;
						</xsl:text>
							<xsl:choose>
								<xsl:when test="@direction='0'">
									<xsl:text>
										width:90%;
									</xsl:text>
								</xsl:when>
								<xsl:when test="@direction='1'">
									<xsl:text>
										width:90%;
									</xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>
										width:100%;
									</xsl:text>
								</xsl:otherwise>
							</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="align">
						<xsl:choose>
							<xsl:when test="@direction='0'">
								<xsl:text>
									left
								</xsl:text>
							</xsl:when>
							<xsl:when test="@direction='1'">
								<xsl:text>
									right
								</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>
									right
								</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:choose>
						<xsl:when test="@direction='0'">
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>tlb.png) no-repeat bottom right;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>tcb.png) repeat-x bottom right;</xsl:text>
									</xsl:attribute>

								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:58px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>trb.png) no-repeat bottom left;</xsl:text>
									</xsl:attribute>

								</td>
							</tr>
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>clb.png) repeat-y top right;</xsl:text>
									</xsl:attribute>
								</td>
								<td style="background-color:#7589bf;">
									<div style="position:relative; top:0px; left:0px; width:105%;">

<!-- Inicio da parte do Theme : Incoming -->
							<div id="MessageHeader" style="padding-left: 1ex; padding-right: 1ex; border-bottom: 0.1em solid white;">
								<!-- Protocol Icon -->
								<div style="float: left;">
									<img style="margin-top: 0.1em; margin-right: 1ex;"><xsl:attribute name="src"><xsl:value-of select="from/contact/@protocolIcon"/></xsl:attribute></img>
								</div>

								<!-- MetaContacts Display Name && Messages Timestamp -->
								<div>
									<span style="font-weight: bold;color:white;"><xsl:value-of select="from/contact/contactDisplayName/@text" /></span>
									<div style="float: right; font-weight: normal;color:white;font-style: italic;"><xsl:value-of select="@time" /></div>
								</div>
							</div>

							<div id="MessageBody">
									<!-- Highlighted Importance -->
								<xsl:attribute name="class">
									<xsl:if test="@importance='2'">highlight</xsl:if>
								</xsl:attribute>
								<xsl:attribute name="style">
									padding-left: 1ex;
									padding-right: 1ex;
									padding-top: 0.25em;
									padding-bottom: 0.5em;
									line-height: 1.2;
									<!-- Colored Message -->
									color : white;
									<xsl:if test="@importance='2'">color: black;</xsl:if>
									<xsl:if test="body/@color">color: <xsl:value-of select="body/@color"/>;</xsl:if>
									<xsl:if test="body/@bgcolor">background-color: <xsl:value-of select="body/@bgcolor"/>;</xsl:if>
									<xsl:if test="body/@font">font: <xsl:value-of select="body/@font"/>;</xsl:if>
									<!-- Normal Importance #F5F3FE-->
									<!-- Userphoto exist, define a min-height -->
									<xsl:if test="from/contact/@userPhoto">min-height: 4.5em;</xsl:if>
								</xsl:attribute>
								<!-- If a userphoto exist, Display it -->
								<xsl:if test="from/contact/@userPhoto">
									<img>
										<xsl:attribute name="src">data:image/png;base64,<xsl:value-of select="from/contact/@userPhoto"/></xsl:attribute>
										<xsl:attribute name="style">
											margin-top: 0.25em;
											margin-right: 1ex;
											height: 4.30em;
											float: left;
										</xsl:attribute>
									</img>
								</xsl:if>
								<xsl:value-of disable-output-escaping="yes" select="body" />
							</div>
<!-- Fim da parte do Theme  : Incoming -->

									</div>
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>crb.png) repeat-y top left;</xsl:text>
									</xsl:attribute>
								</td>
							</tr>
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>blb.png) no-repeat top right;</xsl:text>
									</xsl:attribute>
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>right:58px; height:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>bcb.png) repeat-x top left;</xsl:text>
									</xsl:attribute>
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:58px; height:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>brb.png) no-repeat top left;</xsl:text>
									</xsl:attribute>
								</td>
							</tr>
					</xsl:when>
					<xsl:when test="@direction='1'">
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>tly.png) no-repeat bottom right;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>tcy.png) repeat-x bottom right;</xsl:text>
									</xsl:attribute>
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:58px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>try.png) no-repeat bottom left;</xsl:text>
									</xsl:attribute>
								</td>
							</tr>
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>cly.png) repeat-y top right;</xsl:text>
									</xsl:attribute>
								</td>
								<td style="background-color:#f6efa5;">
									<div style="position:relative; top:0px; left:0px; width:105%;">

<!-- Inicio da parte do Theme Outgoing -->
							<div id="MessageHeader" style="padding-left: 1ex; padding-right: 1ex; border-bottom: 0.1em solid #9F9F99;">

								<!-- Protocol Icon -->
								<div style="float: right;">
									<img style="margin-top: 0.1em; margin-left: 1ex;"><xsl:attribute name="src"><xsl:value-of select="from/contact/@protocolIcon"/></xsl:attribute></img>
								</div>

								<!-- MetaContacts Display Name && Messages Timestamp -->
								<div style="text-align: right;">
									<span style="font-weight: bold;">
									<xsl:value-of select="from/contact/contactDisplayName/@text" /></span>
									<div style="float: left; font-weight: normal;font-style: italic;"><xsl:value-of select="@time" /></div>
								</div>
							</div>

							<div id="MessageBody">

								<!-- Highlighted Importance -->
								<xsl:attribute name="class">
									<xsl:if test="@importance='2'">highlight</xsl:if>
								</xsl:attribute>

								<xsl:attribute name="style">
									padding-left: 1ex;
									padding-right: 1ex;
									padding-top: 0.25em;
									padding-bottom: 0.5em;
									line-height: 1.2;
									text-align: right;
									<!-- Colored Message -->
									<xsl:if test="body/@color">color: <xsl:value-of select="body/@color"/>;</xsl:if>
									<xsl:if test="body/@bgcolor">background-color: <xsl:value-of select="body/@bgcolor"/>;</xsl:if>
									<xsl:if test="body/@font">font: <xsl:value-of select="body/@font"/>;</xsl:if>
									<!-- Normal Importance -->
									<!-- Userphoto exist, define a min-height -->
									<xsl:if test="from/contact/@userPhoto">min-height: 4.5em;</xsl:if>
								</xsl:attribute>
								<!-- If a userphoto exist, Display it -->
								<xsl:if test="from/contact/@userPhoto">
                                                                        <img>
										<xsl:attribute name="src">data:image/png;base64,<xsl:value-of select="from/contact/@userPhoto"/></xsl:attribute>
                                                                                <xsl:attribute name="style">
                                                                                        margin-top: 0.25em;
                                                                                        margin-left: 1ex;
                                                                                        height: 4.30em;
                                                                                        float: right;
                                                                                </xsl:attribute>
                                                                        </img>
								</xsl:if>
								<xsl:value-of disable-output-escaping="yes" select="body" />
							</div>
<!-- Fim da parte do Theme Outgoing -->
									</div>
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>cry.png) repeat-y top left;</xsl:text>
									</xsl:attribute>
								</td>
							</tr>
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>bly.png) no-repeat top right;</xsl:text>
									</xsl:attribute>
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>right:58px; height:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>bcy.png) repeat-x top left;</xsl:text>
									</xsl:attribute>
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:58px; height:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>bry.png) no-repeat top left;</xsl:text>
									</xsl:attribute>

								</td>
							</tr>
						</xsl:when>
						<xsl:otherwise>
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>tlg.png) no-repeat bottom right;</xsl:text>
									</xsl:attribute>
									&#160;
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>tcg.png) repeat-x bottom right;</xsl:text>
									</xsl:attribute>
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:58px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>trg.png) no-repeat bottom left;</xsl:text>
									</xsl:attribute>
								</td>
							</tr>
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>clg.png) repeat-y top right;</xsl:text>
									</xsl:attribute>
								</td>
								<td style="background-color:#b0f6a5;">
									<div style="position:relative; top:0px; left:0px; width:105%;">

<!-- Inicio da parte do Theme Internal and Actions -->
								<!-- MetaContacts Display Name && Messages Timestamp -->
							<xsl:if test="@type='action'">
								<div id="MessageHeader" style="padding-left: 1ex; padding-right: 1ex; border-bottom: 0.1em dashed gray">
								<!-- Action Icon -->
								<div style="float: left;">
									<img style="margin-top: 0.1em; margin-right: 1ex;"><xsl:attribute name="src"><xsl:value-of select="$image-location" />action.png</xsl:attribute></img>
								</div>
									<span style="font-weight: bold;font-style:italic;color:gray;"><xsl:value-of select="from/contact/contactDisplayName/@text" /></span>
									<div style="float: right; font-weight: normal;color:gray;font-style:italic;color:gray;"><xsl:value-of select="@time" /></div>
								</div>
								</xsl:if>

								<xsl:if test="@route='internal'">
								<!-- Action Icon -->
								<div style="float: left;">
									<img style="margin-top: 0.1em; margin-right: 1ex;"><xsl:attribute name="src"><xsl:value-of select="$image-location" />action.png</xsl:attribute></img>
								</div>
									<div style="float: right; font-weight: normal;color:gray;font-style:italic;color:gray;"><xsl:value-of select="@time" /></div>
								</xsl:if>
								<div>
									<span style="margin-left: 1ex;font-style:italic;color:gray;"><xsl:value-of disable-output-escaping="yes" select="body" /></span>
								</div>
							</div>
<!-- fim da parte do Theme Internal and Actions -->

								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>crg.png) repeat-y top left;</xsl:text>
									</xsl:attribute>
								</td>
							</tr>
							<tr>
								<td>
									<xsl:attribute name="style">
										<xsl:text>background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>blg.png) no-repeat top right;</xsl:text>
									</xsl:attribute>
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>right:58px; height:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>bcg.png) repeat-x top left;</xsl:text>
									</xsl:attribute>
								</td>
								<td>
									<xsl:attribute name="style">
										<xsl:text>width:58px; height:17px; background:url(</xsl:text>
										<xsl:value-of select="$image-location"/>
										<xsl:text>brg.png) no-repeat top left;</xsl:text>
									</xsl:attribute>
								</td>
							</tr>
						</xsl:otherwise>
					</xsl:choose>
				</table>
		</div>
	</xsl:template>
</xsl:stylesheet>
